Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# VLCGoalRecognizer::EdgePointList Struct Reference

TODO: Write Summary. More...

Collaboration diagram for VLCGoalRecognizer::EdgePointList:

[legend]
List of all members.

## Public Member Functions
| EdgePointList ()
| Constructs an empty list.
void | add (Vector2< int > &point, VLCGoalRecognizer::EdgeType type)
| Add an edge point to the list.
int | size ()
| Returns the current size of the list.
int | getCount (VLCGoalRecognizer::EdgeType type)
| Returns the number of edge points of a certain type.
Vector2< int > & | operator[] (int index)
| Returns an element of the list.
VLCGoalRecognizer::EdgeType | getType (int index)
| Returns the type of an edge points.
## Private Types
enum | { maxPoints = 20 }
## Private Attributes
Vector2< int > | edgePoint [maxPoints]
VLCGoalRecognizer::EdgeType | edgeType [maxPoints]
int | numberOfPoints
int | numberOfType [imageBorder+1]

## Detailed Description

TODO: Write Summary.

Definition at line 362 of file VLCGoalRecognizer.h.

## Member Enumeration Documentation

anonymous enum`[private]`

  | Enumeration values:
  maxPoints |
Definition at line 367 of file VLCGoalRecognizer.h.

## Constructor & Destructor Documentation

VLCGoalRecognizer::EdgePointList::EdgePointList | ( |  | ) | `[inline]`

| Constructs an empty list. Definition at line 381 of file VLCGoalRecognizer.h.

## Member Function Documentation

void VLCGoalRecognizer::EdgePointList::add | ( | Vector2< int > & | point,
|  | VLCGoalRecognizer::EdgeType | type
| ) | `[inline]`

| Add an edge point to the list. Definition at line 389 of file VLCGoalRecognizer.h. References point. Referenced by VLCGoalRecognizer::analyzeGoalpost(), and VLCGoalRecognizer::detectEdgeTwice().

int VLCGoalRecognizer::EdgePointList::size | ( |  | ) | `[inline]`

| Returns the current size of the list. Definition at line 403 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoalpost().

int VLCGoalRecognizer::EdgePointList::getCount | ( | VLCGoalRecognizer::EdgeType | type | ) | `[inline]`

| Returns the number of edge points of a certain type. Definition at line 409 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoalpost().

Vector2<int>& VLCGoalRecognizer::EdgePointList::operator[] | ( | int | index | ) | `[inline]`

| Returns an element of the list. Definition at line 415 of file VLCGoalRecognizer.h.

VLCGoalRecognizer::EdgeType VLCGoalRecognizer::EdgePointList::getType | ( | int | index | ) | `[inline]`

| Returns the type of an edge points. Definition at line 421 of file VLCGoalRecognizer.h. References VLCGoalRecognizer::EdgeType. Referenced by VLCGoalRecognizer::analyzeGoalpost().

## Member Data Documentation

Vector2<int> VLCGoalRecognizer::EdgePointList::edgePoint[maxPoints]`[private]`

| Definition at line 368 of file VLCGoalRecognizer.h.

VLCGoalRecognizer::EdgeType VLCGoalRecognizer::EdgePointList::edgeType[maxPoints]`[private]`

| Definition at line 369 of file VLCGoalRecognizer.h.

int VLCGoalRecognizer::EdgePointList::numberOfPoints`[private]`

| Definition at line 372 of file VLCGoalRecognizer.h.

int VLCGoalRecognizer::EdgePointList::numberOfType[imageBorder+1]`[private]`

| Definition at line 375 of file VLCGoalRecognizer.h.

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/VLCImageProcessor/VLCGoalRecognizer.h